# goto-alpha-mark(2)

[Home] [Commands] [Variables] [Macro-Dev] [Glossary]

## NAME

goto-alpha-mark - Move the cursor to a alpha marked location

## SYNOPSIS

goto-alpha-mark "?" (C-x a)
0 goto-alpha-mark

## DESCRIPTION

goto-alpha-mark prompts user for an alpha character and sets the cursor position to the preset location. Alpha marks are specified on a per buffer basis, thus the current buffer is not changed, merely the current location in the buffer. The alpha mark must already be defined using set-alpha-mark(2). This functionality is useful for rapidly returning back to locations in large files.

goto-alpha-mark with a numeric argument of zero (0) returns a string containing all of the alpha marks that exist in the current buffer. The alpha mark string is returned in $result(5), this is an empty string if there are no alpha marks in the buffer.

## SEE ALSO

set-alpha-mark(2).

(c) Copyright JASSPA 2009
Last Modified: 2009/08/29
Generated On: 2009/10/12

</HMTL>